<!DOCTYPE html>
<title>Pro-core Plus's Tech Glossary</title>

<head>
<meta>

</head>
<body>
<center><h1>Pro-core Plus's Technology Glossary</h1> </center>

<center>
<h2>
<a href=a.html>A</a>
<a href=b.html>B</a>
<a href=c.html>C</a>
<a href=d.html>D</a>
<a href=e.html>E</a>
<a href=f.html>F</a>
<a href=g.html>G</a>
<a href=h.html>H</a>
<a href=i.html>I</a>
<a href=j.html>J</a>
<a href=k.html>K</a>
<a href=l.html>L</a>
<a href=m.html>M</a>
<a href=n.html>N</a>
<a href=o.html>O</a>
<a href=p.html>P</a>
<a href=q.html>Q</a>
<a href=r.html>R</a>
<a href=s.html>S</a>
<a href=t.html>T</a>
<a href=u.html>U</a>
<a href=v.html>V</a>
<a href=w.html>W</a>
<a href=x.html>X</a>
<a href=y.html>Y</a>
<a href=z.html>Z</a>
<a href=all.html>ALL</a>
</h2>

</center>

<center>
<form action="/results/" method="post" />
    <input type="search" name="search" id="Search" placeholder="Tech Term" />

    <input type="submit" name="search" value="Search" />
</form>
</center>



<script>
    // Function to perform search
    function performSearch() {
        var searchTerm = document.getElementById('search-input').value.toLowerCase();
        var resultsContainer = document.getElementById('search-results');
        resultsContainer.innerHTML = ''; // Clear previous results
        
        // You can fetch your data here, for example:
        var data = ["Lorem ipsum", "Dolor sit amet", "Consectetur adipiscing", "Elit sed do eiusmod", "Tempor incididunt", "Ut labore et dolore"];
        
        // Loop through data to find matches
        data.forEach(function(item) {
            if (item.toLowerCase().includes(searchTerm)) {
                var resultItem = document.createElement('p');
                resultItem.textContent = item;
                resultsContainer.appendChild(resultItem);
            }
        });
    }

    // Event listener for search button click
    document.getElementById('search-btn').addEventListener('click', performSearch);

    // Event listener for pressing Enter in search input
    document.getElementById('search-input').addEventListener('keypress', function(e) {
        if (e.key === 'Enter') {
            performSearch();
        }
    });
</script>





</body>

<!--  jQuery Library 3.7.1  --> 
<script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
<!-- jQuery Library 3.7.1 -->

</html>
